class TempMinEstacion {
/* Todas las consultas que procesan la estructura requieren que se haya asignado una temperatura a cada día.El primer día es el día 1.El período tiene al menos un día.*/
	private float [] tMin;
	
//Constructor
/*Crea una estructura para  mantener las temperaturas
de cant días, cant>0 */
public TempMinEstacion(int cant) {
	tMin= new float[cant] ;
}
//Comandos
public void establecerTempMin(int dia, 
					     float t){    
/*Requiere 1<=d<=cantDias()*/
    tMin[dia-1]=t;
}
// Consultas
public float obtenerTempMin(int dia){	    
/*Requiere 1<=d<=cantDias()*/
    return tMin[dia-1];
} 
public int cantDias(){	    
    return tMin.length;
} 
public float promedioTempMin(){
/*Computa el promedio de temperaturas de un período con al menos un día*/
   float prom=0, suma=0;    
   for (int i=0;i<cantDias();i++)
     suma=suma+tMin[i];
   prom=suma/cantDias();
   return prom;
  }
public float mayorTempMin(){
/*Retorna la mayor temperatura del período*/
    float mayor=tMin[0];
    for (int i=1;i<cantDias();i++)
	  if (tMin[i]>mayor)
	    mayor=tMin[i];
    
    return mayor;
} 
public int cantHeladas(){
//Cuenta la cantidad  de días que heló
  int cant=0;   
  for (int i=0;i<cantDias();i++)
    if (tMin[i]<=0) cant++;
  return cant;
}
public boolean huboHeladas(){
/*Retorna true si algún día heló */
  boolean encontre=false;   
  int i=0;
  while ((i<cantDias()) && (!encontre))
    if (tMin[i]<=0)encontre=true;
    else i++;
  return encontre;
  }
}
